import { Component, h, State } from '@stencil/core';
export class ContentWrapper {
  constructor() {
    this.myProperty = {
      name: 'Ciao',
      description: 'Mondo',
      hour: '02',
      minute: '03',
      duration: '00',
      date: '05/03/2022'
    };
  }
  render() {
    return (h("div", null,
      h("button", { onClick: (ev) => this.changeDTO(ev) }, "cambia il dto"),
      h("addon-reminder", { reminderInfo: this.myProperty, state: "view" }),
      h("addon-reminder", null)));
  }
  changeDTO(ev) {
    if (ev) {
      this.myProperty = {
        name: 'Prommmmmm',
        description: 'nuova descrizione cambiata',
        date: '08/03/2022',
        hour: '05',
        minute: '17',
        duration: '02'
      };
    }
  }
  static get is() { return "content-wrapper"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["content-wrapper.css"]
  }; }
  static get styleUrls() { return {
    "$": ["content-wrapper.css"]
  }; }
  static get states() { return {
    "myProperty": {}
  }; }
}
